Bug 232622 - x11-fm/caja: fix build with GCC-based architectures
Summary: x11-fm/caja: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-24 14:34 UTC by Piotr Kubaj
Modified: 2018-11-27 16:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (555 bytes, patch)
2018-10-24 14:34 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-24 14:34:27 UTC
Created attachment 198561 [details]
patch

This port requires USES=compiler:c11 to build with GCC architectures.

While here, add USES=gnome mate.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2018-11-24 07:06:39 UTC
A commit references this bug:

Author: linimon
Date: Sat Nov 24 07:06:27 UTC 2018
New revision: 485726
URL: https://svnweb.freebsd.org/changeset/ports/485726

Log:
  Add compiler:c11 to fix build with GCC-based architectures.

  PR:		232622
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/x11-fm/caja/Makefile
Comment 2 commit-hook freebsd_committer 2018-11-27 16:36:49 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 27 16:36:14 UTC 2018
New revision: 486024
URL: https://svnweb.freebsd.org/changeset/ports/486024

Log:
  Previous patch did not include adding gmake mate to USES.

  PR:		232622
  Reported by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/x11-fm/caja/Makefile